%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name savage-newerth
%define Summary Savage: The Battle For Newerth
%define version 1.0
%define release %mkrel 1

%define gamelibdir %{_libdir}/games/%{name}

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: SFE-Standalone.tar.gz
Source1: newerth.jpg
License: LGPL/MIT/Apache/Commercial
Group: Games/Arcade
Url: http://www.s2games.com/savage/
BuildArch:	noarch
NoSource:	0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SAVAGE: The Battle for Newerth
Choose to be a commander and you will play an in-depth RTS managing the stronghold, or choose to be a warrior and you will play an intense game of first person combat. With the creation of a new game play genre, RTSS (Real Time Strategy Shooter), Savage expertly redefines the first-person shooter and real-time strategy genres by combining elements of both into one cohesive experience. As the commander in RTS mode, you will tackle resource management, develop a robust tech tree, plan your assault and lead real human players into battle. As a warrior in action mode, you will master many unique weapons, powerful units, and siege vehicles to fight a fast paced battle.

Set in a unique fantasy world eons from now where Humans and Beasts battle violently for their very existence. Savage transports PC gamers to the next level in multi-player gaming. Choose to fight on the side of HUMANITY, armed with science and technology, or take the side of the BEAST HORDE, masters of nature and magic. Each race has its own style of battle, its own leader, and its own way to victory. Which side are you on? 

%prep
%setup -q -c
#tar xzf %{SOURCE0}

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{gamelibdir}/%name
install -m644 libs/* %{buildroot}%{gamelibdir}/%name
install -d $RPM_BUILD_ROOT%_gamesdatadir/%name
cp -r autoupdater game graveyard $RPM_BUILD_ROOT%_gamesdatadir/%name
install -m755 silverback.bin $RPM_BUILD_ROOT%_gamesdatadir/%name

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/savage <<EOF
#!/bin/sh
if [ ! -d \${HOME}/.%name ] ; then
	mkdir -p \${HOME}/.%name
	cd \${HOME}/.%name
	ln -s %{_gamesdatadir}/%{name}/autoupdater .
	ln -s %{_gamesdatadir}/%{name}/game .
	ln -s %{_gamesdatadir}/%{name}/graveyard .
	ln -s %{_gamesdatadir}/%{name}/silverback.bin .
fi
cd \${HOME}/.%name
LD_LIBRARY_PATH=%{gamelibdir}/%name:$LD_LIBRARY_PATH ./silverback.bin
EOF
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/savage

cat > %{buildroot}%{_gamesbindir}/graveyard <<EOF
#!/bin/sh
if [ ! -d \${HOME}/.%name ] ; then
	mkdir -p \${HOME}/.%name
	cd \${HOME}/.%name
	ln -s %{_gamesdatadir}/%{name}/autoupdater .
	ln -s %{_gamesdatadir}/%{name}/game .
	ln -s %{_gamesdatadir}/%{name}/graveyard .
	ln -s %{_gamesdatadir}/%{name}/silverback.bin .
fi
cd \${HOME}/.%name
LD_LIBRARY_PATH=%{gamelibdir}/%name:$LD_LIBRARY_PATH ./silverback.bin mod graveyard
EOF
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/graveyard

#install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.gif

install -d %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/graveyard.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Savage: Graveyard Editor
Comment=Savage: Graveyard Editor
Exec=soundwrapper %{_gamesbindir}/graveyard
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -d %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/savage.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Savage: The Battle For Newerth
Comment=Savage: The Battle For Newerth
Exec=soundwrapper %{_gamesbindir}/savage
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert %{SOURCE1} -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert %{SOURCE1} -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert %{SOURCE1} -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%doc licenses.txt
%{_gamesbindir}/*
%{gamelibdir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png


%changelog
* Thu Jun 07 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.0-1
- initial build for pclinuxos 2007
